#include <stdio.h>
main()
{
    int a,x,y,b;
    scanf("%d %d",&a,&b);
    scanf("%d %d",&x,&y);
    if(a > x)
    {
        if(b > y)
            printf("?");
        else
            printf("prvi");
    }
    else
    {
        if(b > y)
            printf("drugi");
        else
            printf("nijedan");
    }
}